Bug 1287589 - Wrong JSON format in AutoRecoveryAllowedTypes config value
Wrong JSON format in AutoRecoveryAllowedTypes config value
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.1
: 3.6.1.2
Assigned To: Eli Mesika
Gonza
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 06:48 EST by Eli Mesika
Modified: 2016-01-19 10:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 10:37:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑3.6.z?
oourfali: blocker?
rule-engine: planning_ack?
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49567 master MERGED core: fix incorrect json value in config Never
oVirt gerrit 49968 ovirt-engine-3.6 MERGED core: fix incorrect json value in config Never
oVirt gerrit 49969 ovirt-engine-3.6.1 MERGED core: fix incorrect json value in config Never

  None (edit)
Description Eli Mesika 2015-12-02 06:48:51 EST
Description of problem:

AutoRecoveryAllowedTypes config key value is  {\"storage domains\":\"true\",\"hosts\":\"true\"}

This is not a legal JSON format and generates the following error upon application start:

 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ServerService Thread Pool -- 43) [] Error parsing option 'AutoRecoveryAllowedTypes' value: org.codehaus.jackson.JsonParse
Exception: Unexpected character ('\' (code 92)): was expecting double-quote to start field name
 at [Source: java.io.StringReader@3198de41; line: 1, column: 3]


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start application and check engine.log 
2.
3.

Actual results:

Application aborted on illegal configuration value 

Expected results:

Value should be fixed to a legal JSON value and no error generated for this key upon application start 

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-12-02 06:58:59 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Red Hat Bugzilla Rules Engine 2015-12-02 07:01:12 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 3 Sandro Bonazzola 2015-12-10 07:42:08 EST
This bug is referenced in ovirt-engine 3.6.1.2 git log.
Please check if the BZ is ready to be moved to QE and set target release accordingly.
Comment 4 Gonza 2016-01-14 06:18:45 EST
Verified with:
rhevm-3.6.2-0.1.el6.noarch

No ERROR msgs on eninge.log about AutoRecoveryAllowedTypes.

Note You need to log in before you can comment on or make changes to this bug.